%define	upstream_name	 Catalyst-Devel
%define upstream_version 1.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Catalyst Development Tools
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.10
BuildRequires: perl(Catalyst::Action::RenderView) >= 0.100.0
BuildRequires: perl(Catalyst::Plugin::ConfigLoader) >= 0.300.0
BuildRequires: perl(Catalyst::Plugin::Static::Simple) >= 0.280.0
BuildRequires: perl(Config::General) >= 2.420.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::ChangeNotify) >= 0.70.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Install) >= 1.20.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class) >= 0.90.0
BuildRequires: perl(Starman)
BuildRequires: perl(Template) >= 2.140.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

Requires:   perl >= 5.8.1

%{?perl_default_filter}

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

This package provides Catalyst development tools.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# jq - should be removed when 5.10.1 is out
export CATALYST_DEVEL_NO_510_CHECK=1
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%__make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{perl_vendorlib}/auto
%{perl_vendorlib}/Catalyst*
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.390.0-8pclos2017
- rebuild against updates

